<?php

// BlockHUB System
// https://demo.blockhubsys.de

$data = json_decode(file_get_contents('content.json'), true);
$startpage = isset($data['startpage']) ? $data['startpage'] : null;

$uploadDir = 'uploads/';
$logoFile = $uploadDir . 'logo';
$bannerFile = $uploadDir . 'banner';
$extensions = ['.jpg', '.jpeg', '.png', '.gif', '.bmp'];
$logoPath = '';
$bannerPath = '';

foreach ($extensions as $ext) {
    if (file_exists($logoFile . $ext)) {
        $logoPath = $logoFile . $ext;
        break;
    }
}
foreach ($extensions as $ext) {
    if (file_exists($bannerFile . $ext)) {
        $bannerPath = $bannerFile . $ext;
        break;
    }
}

$faviconPath = 'uploads/favicon';
$faviconUrl = '';
foreach ($extensions as $ext) {
    if (file_exists($faviconPath . $ext)) {
        $faviconUrl = $faviconPath . $ext;
        break;
    }
}

$contentFile = 'content.json';
$content = [];

if (file_exists($contentFile)) {
    $content = json_decode(file_get_contents($contentFile), true);
}
$title = isset($content['title']) ? $content['title'] : '';

$contentFile = 'content.json';
$content = [];

if (file_exists($contentFile)) {
    $content = json_decode(file_get_contents($contentFile), true);
}
$title = isset($content['title']) ? $content['title'] : '';

$dataDir = "data";
$userFile = $dataDir . "/users.json";

session_start();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $username = trim($_POST['username']);
    $password = trim($_POST['password']);

    if (file_exists($userFile)) {
        $users = json_decode(file_get_contents($userFile), true);

        if (isset($users[$username]) && password_verify($password, $users[$username])) {
            $_SESSION['username'] = $username;
            header('Location: admin.php');
            exit;
        } else {
            echo "Invalid username or password.";
        }
    } else {
        echo "No users found.";
    }
}
?>

<!DOCTYPE html>
 <html lang="de">
  <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <?php if ($faviconUrl): ?>
        <link rel="icon" href="<?php echo $faviconUrl; ?>" type="image/x-icon">
    <?php endif; ?>

    <title><?php echo htmlspecialchars($title); ?></title>
  </head>
  <body>

 <center>

    <div style="width: 300px; height: 300px; margin-top:120px; box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;">

     <div class="logo2"><img src="<?php echo htmlspecialchars($logoPath); ?>" alt="Logo" class="logo"></div><br>
      <p>
       <div>

        <form method="post" action="admin2.php">
         <label>Username:</label><br>
         <input type="text" name="username" required><br>
         <label>Password:</label><br>
         <input type="password" name="password" required>
         <p><button type="submit">Login Me!</button></p>
        </form>

	  </div>
     </p>
    </div>

</center>

</body>
</html>